Page MenuHomePhabricator

codfw1dev: decide which DBs to reallocate to clouddb2001-dev
Closed, ResolvedPublic

Description

We have sets of databases in codfw:

DBs in labtestcontrol2001
aborrero@labtestcontrol2001:~ $ sudo mysql -u root
[...]
mysql> show databases;
+------------------------+
| Database               |
+------------------------+
| information_schema     |
| designate              |
| designate_pool_manager |
| glance                 |
| keystone               |
| labspuppet             |
| mysql                  |
| nova                   |
| nova_api               |
| pdns                   |
| performance_schema     |
+------------------------+
11 rows in set (0.00 sec)
DBs in labtestcontrol2003
aborrero@labtestcontrol2003:~ $ sudo mysql -u root
[...]
mysql> show databases;
+--------------------+
| Database           |
+--------------------+
| information_schema |
| glance             |
| keystone           |
| mysql              |
| neutron            |
| nova               |
| nova_api           |
| performance_schema |
+--------------------+

We should decide which DBs are interesting to reallocate to cloudcontrol2001-dev and which not.

Event Timeline

aborrero created this task.Apr 4 2019, 12:31 PM

@Andrew assigned to you because I expect you to be more familiar with those DBs, specially those hosted in labtestcontrol2001.

Since labtestcontrol2001 is a Trusty HW requiring urgent decommission, I will save that database to cloudcontrol2001-dev now, so we can proceed with the decomm. Later on, we can decide which DB to really use for codfw1dev.

The databases from both servers are now in my home directory in cloudcontrol2001-dev:

aborrero@cloudcontrol2001-dev:~ $ pwd
/home/aborrero
aborrero@cloudcontrol2001-dev:~ $ ls -l
total 67564
-rw-r--r-- 1 aborrero wikidev 58586293 Apr  4 12:44 labtestcontrol2001.sql
-rw-r--r-- 1 aborrero wikidev 10592262 Apr  4 12:44 labtestcontrol2003.sql

The dumps were generated like this:

aborrero@labtestcontrol2001:~ $ sudo mysqldump --all-databases --routines --events --triggers --single-transaction > labtestcontrol2001.sql

aborrero@labtestcontrol2003:~ $ sudo mysqldump --all-databases --routines --events --triggers --single-transaction > labtestcontrol2003.sql
aborrero renamed this task from codfw1dev: decide which DBs to reallocate to cloudcontrol2001-dev to codfw1dev: decide which DBs to reallocate to clouddb2001-dev.Apr 8 2019, 4:47 PM
aborrero updated the task description. (Show Details)

Change 502963 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] clouddb2001-dev: add mariadb role

https://gerrit.wikimedia.org/r/502963

Change 502963 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] clouddb2001-dev: add mariadb role

https://gerrit.wikimedia.org/r/502963

I just imported the striker database from labtestweb2001 into this server:

aborrero@labtestweb2001:~ $ sudo mysqldump striker > striker.sql
aborrero@clouddb2001-dev:~ $ sudo mysql -u root
[..]
MariaDB [(none)]> create database striker;

aborrero@clouddb2001-dev:~ $ sudo mysql -u root striker < striker.sql 
ERROR 1071 (42000) at line 245: Specified key was too long; max key length is 767 bytes

aborrero@clouddb2001-dev:~ $ sudo mysql -u root
[..]
MariaDB [(none)]> set global innodb_large_prefix=on;
Query OK, 0 rows affected (0.00 sec)

aborrero@clouddb2001-dev:~ $ sudo mysql -u root striker < striker.sql

I just imported the codfw1dev-r keystone, nova, glance, neutron databases into cloudcontrol2001-dev.codfw.wmnet:

aborrero@clouddb2001-dev:~ 1m8s $ sudo mysql -u root
[..]
MariaDB [(none)]> show databases;
+--------------------+
| Database           |
+--------------------+
| glance             |
| information_schema |
| keystone           |
| mysql              |
| neutron            |
| nova               |
| nova_api           |
| performance_schema |
| striker            |
+--------------------+
9 rows in set (0.00 sec)

Per conversation with @Andrew we don't need the DBs from labtestcontrol2001, so I will continue with both T218021: decommission: labtestcontrol2001.wikimedia.org and T220095: labtestcontrol2003: rename to cloudcontrol2003-dev

Change 503272 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] openstack: codfw1dev: use DBs hosted at clouddb2001-dev.codfw.wmnet

https://gerrit.wikimedia.org/r/503272

Change 503272 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] openstack: codfw1dev: use DBs hosted at clouddb2001-dev.codfw.wmnet

https://gerrit.wikimedia.org/r/503272

aborrero closed this task as Resolved.Apr 12 2019, 10:49 AM

This should be done now.

We agreeded on moving the labtestwikitech (or whatever is the name) from m5 to this server at some point. But that's not a blocker for the rework of the cofw1dev deployment. So closing task now.

Change 503323 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] clouddb2001-dev: include ferm configuration

https://gerrit.wikimedia.org/r/503323

Change 503323 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] clouddb2001-dev: include ferm configuration

https://gerrit.wikimedia.org/r/503323

Change 503969 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] openstack: codfw1dev: db: use mysql-server directly instead of mariadb

https://gerrit.wikimedia.org/r/503969

Change 503969 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] openstack: codfw1dev: db: use mysql-server directly instead of mariadb

https://gerrit.wikimedia.org/r/503969

Change 503975 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] openstack: codfw1dev: keystone: delete invalid relationship

https://gerrit.wikimedia.org/r/503975

Change 503975 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] openstack: codfw1dev: keystone: delete invalid relationship

https://gerrit.wikimedia.org/r/503975